GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaResponse Class Reference

## Public Member Functions
GLSExitCode | getExitCode ()
void | setExitCode (GLSExitCode value)
List< GLSParcelShop > | getParcelShop ()

## Protected Attributes
GLSExitCode | exitCode
List< GLSParcelShop > | parcelShop

## Detailed Description

Java class for GetParcelShopInAreaResponse complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GetParcelShopInAreaResponse">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ExitCode" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSExitCode"/>
            <element name="ParcelShop" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSParcelShop" maxOccurs="5000" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 37 of file GetParcelShopInAreaResponse.java.

## Member Function Documentation

## ◆ getExitCode()

GLSExitCode eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaResponse.getExitCode | ( |  | ) |

Gets the value of the exitCode property.

Returns
  possible object is GLSExitCode

Definition at line 52 of file GetParcelShopInAreaResponse.java.

## ◆ getParcelShop()

List<GLSParcelShop> eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaResponse.getParcelShop | ( |  | ) |

Gets the value of the parcelShop property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parcelShop property.

For example, to add a new item, do as follows:

       getParcelShop().add(newItem);

Objects of the following type(s) are allowed in the list GLSParcelShop

Definition at line 90 of file GetParcelShopInAreaResponse.java.

## ◆ setExitCode()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaResponse.setExitCode | ( | GLSExitCode | value | ) |

Sets the value of the exitCode property.

Parameters

  value | allowed object is GLSExitCode

Definition at line 64 of file GetParcelShopInAreaResponse.java.

## Member Data Documentation

## ◆ exitCode

GLSExitCode eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaResponse.exitCode
| protected

Definition at line 40 of file GetParcelShopInAreaResponse.java.

## ◆ parcelShop

List<GLSParcelShop> eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaResponse.parcelShop
| protected

Definition at line 42 of file GetParcelShopInAreaResponse.java.

The documentation for this class was generated from the following file:

- GetParcelShopInAreaResponse.java